AutoCAD .NET :: Insert Entities At Correct Coordinates And Rotation

Dec 6, 2011

My application inserts 4 DBText lines and 2 PolyLines into a drawing from another drawing(or Source Database). I created a special layer ("warning") into which these entities are inserted. Then I combined these entities into a group so the user can move it out of the way while they are working.

When the title block data is refreshed, I want to redraw my 4 lines of text and 2 lines at the location last set by the user. I have successfully implemented redrawing the object at the X and Y coordinates last placed by the user by using ent.TransformBy(Matrix3d.Displacement(acVec3d) on each entity at the source and then doing a DBSource.WblockCloneOjbects to put them in the destination drawing at the correct position.

However, if the user rotates the group, I need to make the rotation also. This is where I'm having problems. What is the best way to grab the rotation value(s?) from the existing, user placed group, and then redraw onto the drawing at that rotated value? Is there an easier implementation that the way I am doing it?

View 1 Replies


ADVERTISEMENT

Revit :: Insert Point Cloud At Correct Coordinates?

Sep 27, 2012

I have spent the last couple of hours researching posts back to 2008 regarding inserting inserting a point cloud into Revit at the correct coordinates.  I have two files (DXF and PCG) that are in the same coordinate system.  They overlay exactly in AutoCAD.  Why I see posts back to 2008 with no resolutions on this same topic?  Also explain to me why a file indexed in AutoCAD 2013 is not compatable with Revit 2013. 

View 1 Replies View Related

AutoCAD .NET :: Unable To Select Entities After Clone And Rotation

Jul 25, 2013

I coded a utility to work with entities rotation. This is a part of a bigger project so i just cutt and pasted together the part of code that have this problem.

Basically i get the selection, i clone it (because this is a copy and rotate) and through a draw jig class i rotate all the entities. This works well but just sometimes when the command ends it happened this weird thing, the entities appears  in the draw but they can't be selected. And all get back to the normally after saving, closing and reopening the draw.

This is the utility.
 
public void Run(object param) { Document doc = Application.DocumentManager.MdiActiveDocument; Editor ed = doc.Editor; Database db = doc.Database; List<Entity> toRotate = new List<Entity>(); PromptSelectionOptions pso = new PromptSelectionOptions(); pso.MessageForAdding = "
Select objects"; pso.AllowDuplicates = false; pso.AllowSubSelections = false; PromptSelectionResult psr =
[code]........

This is the link

[URL]........

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Copy / Move All Entities In Two Coordinates

Jul 16, 2013

I am having nearly 1000 drawings where I need to change the title block in a new format.

I am stuck up in moving all the entities  in  cordinates 15,280 (upper point) and 205,55 (lower Point) to 275,294 (upper point and correspoing lower point.

View 7 Replies View Related

AutoCAD .NET :: Jig Multiple Entities Such As Insert Block And Add Line?

Mar 26, 2013

How to Jig multiple entities such as insert a block and add a line.

View 3 Replies View Related

3ds Max Animation :: Correct Wheel Rotation Using Parameter

Jan 16, 2014

I used to do this all the time. Now I cant remember how to do it properly, if possible a screenshot of how to do the maths in the Parameter wiring box. Getting the circle to travel along this line without scripting.
 
What should have been a 5 minute job has turned into about an hour.

View 2 Replies View Related

AutoCad 2D :: Insert Block From Excel With X&Y Coords / Rotation And Point Number

Dec 3, 2013

I have excel tables that contain 4 columns of data.

The Y co-ords pf the required object
The X co-ords pf the required object
The rotation of the required object
The object number

What would I need to do to insert a block at the coordinates to the rotation shown then have a leader with the point number labeling the block (but the text not be rotated to the angle of the main block.

View 2 Replies View Related

AutoCAD 2010 :: Insert Large Amount Of Coordinates As Block In DWG

Aug 21, 2012

I have an excel spreadsheet with a lot of coordinates. I know how to insert a large amount of coordinates as an block in my dwg. But what I want is to connect my Excel to my dwg, so if I change my Excel automatically the blocks in my dwg change.

View 3 Replies View Related

AutoCAD 2013 :: Blocks Insert At Different Coordinates From Those Entered In Command Line

Jul 10, 2012

I am testing using script files to automate inserting blocks for As-Built drawings. My script files run fine, but AutoCAD is placing the blocks at a location that is different than what the input on the command line shows. For instance, I am placing a block at (6,6), which is reflected in the command line, but the block is actually placed at (6,5.898). The 5.898 does not appear anywhere in my script file, and the command line even shows that (6,6) was entered for the insertion point.

View 4 Replies View Related

AutoCAD 2013 :: Insert Or Import Image That Automatically Recognizes Drawing Coordinates

Oct 28, 2013

I want to insert or import an image that automatically recognizes my drawing coordinates.If I need to, I can use AUD (as Map 3D).However, my computer has difficulty processing too much data.

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Blocks At XYZ Coordinates And X / Y And Z Scales From ASCII

Sep 14, 2013

I found this LISP code that can insert a block at coordinates from an ASCII.
 
(defun c:universal( / file f a osmode);PointsToBlocks(while (not file)(setq file (getfiled "Input file" "coords" "txt" 4)))(setq f (open file "r")osmode (getvar "OSMODE"))(setvar "OSMODE" 0)(while (setq a (read-line f))(command "._insert" "block1" a 1 1 0))(setvar "OSMODE" osmode)(princ)

What I want to be able to do is insert blocks from an ASCII and also set the x-, y-, and z-scales.

For example, I have these lines in ASCII, the data points refer to X position, Y position, Z position, X scale, Y scale, and Z scale.

30.593589,21.274607,26.235255,0.172826,0.766324,0.066442
30.710182,21.379792,27.054248,0.130816,0.700035,0.043114

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Read Excel File To Insert Text Values At Coordinates

Mar 6, 2013

I got a new work and get it done in the next 2 days, but first I need to do this... from a text file (or excel file, I got both) I got 3 columns, 1 one for node number, and 2 other for X and Y coordinates for each node.

So from that file I need to insert into autocad the node numbers as text (using the current style and height) at the point specified by the other two columns, that are the X,Y coordinates which will be the insertion point of text..

View 5 Replies View Related

AutoCAD 2013 :: Blocks Insert At Large Scale In 2014 - Correct Scale In 2012

Nov 22, 2013

I am trying to insert a block into a file in Acad 2014 and it comes in too large.  If I insert the same block into the same file using Acad 2012 it comes in at the correct scale.  Doesn't seem to matter if insunits is 0 or 1, or insunitsdefsource or insunitsdeftarget are also 0 or 1.

There must be some variable or variables I'm missing.

View 3 Replies View Related

CorelDRAW X5 :: Creating Macro To Count How Many Times It Replaced Figures And Insert Correct Number

Nov 11, 2013

it's my job to create drawings for patent applications, and These drawings usually consist of multiple pages with one or more drawings on each page. Each of these drawings has to be given it's own unique identifier (for example Fig. 1, Fig.2 etc).

In the process of designing a complete patent application it is often necessary to change the order of figures around and/or add new ones, remove old ones and so on. Now we get to the macro part.

What I need is a macro that identifies an artistic text placeholder (let's say <figures>) and replaces it with a text that says "Fig. x", x being counted upwards starting from 1. In essence I need the macro to count how many times it has already replaced <figures>, and insert the correct number. After the macro has done it's work I want every placeholder replaced with "Fig.1" or "Fig. 2".

View 8 Replies View Related

AutoCad :: North Arrow Rotation In Title Block With Rotation Property Editable In SSM

Jul 27, 2012

I am making a template file having title block with fields. I use this template for creating layouts and sheets using Sheet Set Manager and the fields will be updated from the data of SSM. Now i would like to add a dynamic north block to my template. The block could be rotated (i have this block in file itself) and rotation angle could be inserted. Now how can i add a custom field to SSM so that i could set a rotation angle for the project and thus every new layout or sheet created using the template has the north block rotated with the angle mentioned in SSM.

Here is the file...........

View 9 Replies View Related

AutoCad :: Rotation Of Drawings In Viewport Without Model Rotation

Sep 21, 2011

I want to rotate a drawing in my paper space, but without rotating it in model space. So that I still can work on it easily in model space.

View 9 Replies View Related

AutoCad :: Rotation 1 Automatically Triggers Rotation 2?

May 15, 2007

I have a North Arrow that I would love to make into a dynamic block. I would like to be able to rotate the N that represents where the north direction is. But while rotating the N around the center of a circle I would like the letter itself to stay un-rotated. It seems simple, if I rotate the letter around the axis of a circle 90 deg, I would like the letter itself to rotate -90 deg on it's own axis. Of course this is easy to do manualy, but how do i do it so that rotation 1 automaticaly triggers rotation 2?

View 9 Replies View Related

AutoCAD Civil 3D :: Translate Point Coordinates From Paperspace To World Coordinates In Modelspace

Jun 18, 2012

i am trying to translate a Point coordinates from Paperspce to world coordinates in model space.The code i used in Land2006 worked OK but now in Civil3d 2012 it doesn't!

Private Sub GetPlais_Click()
Dim tmpnt1 As Variant, tmpnt2 As Variant, tmpPnt1 As Variant
Dim lole(0 To 2) As Double, upri(0 To 2) As Double
Dim returnobj As AcadObject

FrmGrid3.Hide
On Error GoTo Eline
ThisDrawing.Utility.GetEntity returnobj, tmpPnt1, "ÅðÝëåîå ôï ViewPort ðïõ èá äçìéïõñãçèåß ï êÜíáâïò!"
If TypeOf returnobj Is IAcadPViewport Then
[code]........

View 1 Replies View Related

AutoCad :: Converting Northing And Easting Meters Coordinates To Map Coordinates

Aug 21, 2013

I'm a GIS analyst trying to learn Cad. I'd like to place a single point in autocad model space at a specific Northing/Easting position. After reading several forum threads I don't think CAD allows me to change the coordinate system of model space from map coords to northing easting coords, as we can in GIS.

View 5 Replies View Related

Maya Animation :: Control Curves Rotation Axis Coinciding With Joint Rotation?

Jul 15, 2011

When setting up a simple FK control curve on say the wrist for example, many times the control curve isn't exactly perpendicular to the local rotation axis of the joint movement, so when we position the control curve to be perpendicular to the joint - it has a rotational value added, but the rotational handles are lines up with the rotational handles of the joint that we want to move.

Freeze Transformations: then the control curves rotational handle go back to being skewed (out of alignment with the joints)

We want to Freeze transformations before constraining the curve, but we'd really to keep those rotations control handles to remain aligned with the joints rotational handles. This will make it an exact control when animating - grab the rotational handle of the curve, rotate it, and the joint will move exactly in the proper direction.

how to get the rotational handle of any control curve to run perpendicular to the shape after freezing transformations?

View 3 Replies View Related

Illustrator :: Path Resets Rotation Of Gradient To Its Original Degree Of Rotation

Jan 13, 2014

To summarize: It seems that compounding a path resets the rotation of the gradient to it's original degree of rotation.
 
Detailed version:

1. Create a shape.
2. Add a gradient fill. Note it's degree of rotation. Let's say it's set at 10°.
3. Now rotate the shape by any means (transform or rotate tool). Note the gradient degree of rotation has shifted the same amount as the shape was rotated (if it was rotated 50°, the gradient will show at 60°).
4. Make it a compound path.
5. Instantly the gradient shifts back to it's original degree of rotation of 10°.
 
It appears that when rotating a shape with a gradient, the rotation of the gradient is locked to the rotation of the shape. But when making it a compound shape it releases that lock and "remembers" it's original state. But that is only true as soon as you make it a compound path, but if you no go ahead and rotate it just a bit using the cursor (as opposed to selecting transform > rotate), the gradient will switch back to how you would expect it to rotate in the first place...
 
Workaround would be to make it a compound path before rotating the shape at all.

View 1 Replies View Related

AutoCad :: Global Edit / Block Attributes Rotation BACK To Match Block Rotation

Dec 13, 2012

using AutoCAD 2009 (vanilla)

I got too smart for myself today in bringing an old drawing up to current standards...Everyone seems to want their block attributes to be zero - I have blocks where the attributes are best when they match the rotations of each blocks.

I have an old drawing that was rotated (as it should be) at approx 2deg.

I used a lisp routine to global edit all the blocks that needed to be at zero. BUT for some reason (and after hundreds of blocks were corrected), I noticed I now have two blocks that should NOT have been in the set have had their attributes rotated to zero....and the attributes should be at the same rotation as their block's rotation.

Because those two blocks have a fixed tic mark, I can click on the mark to see what the block rotation is, then rotate its attribute to that rotation, but I have hundreds of blocks! One-at-a-time sucks....

Any chance there is a GLOBAL way to edit an attribute rotation to match its own block's rotation?

View 2 Replies View Related

Revit :: Coordinates To Real World Projection Coordinates?

Aug 15, 2012

The coordinates that we can apply in Revit (project/shared) aren't exactly the same to have real world projection coordinates (WGS84)??
 
If not how can we convert the revit shared coordinates to real world projection coordinates?

View 1 Replies View Related

AutoCAD .NET :: Insert Block From External DWG File / Specify Insert Point By Click Mouse

Apr 2, 2013

I write a program, this program needs to insert some standard illustrations. I made these standard illustrations into different blocks. And I store these blocks in a dwg file. Everytime I need to insert some illustrations, I just click the mouse on the current drawing, I want the illustration inserted. These means the following points:

(1) Import the blocks to the current drawing, if the blocks have already been imported, then do nothing.

(2) Specify the insert point by clicking the mouse, and I want the block's insert point to coincide with the mouse clicking point.

View 1 Replies View Related

AutoCad :: Insert OS Tiles Into A Drawing Using Insert XRef Command

Aug 2, 2013

I am trying to insert OS Tiles into a drawing using the insert x-ref command. I have managed to insert 192 tiles but still need to add 29 more tiles to complete. When I try to insert another x reference AutoCAD just goes into a continual loop. Have to force AutoCAD to crash after ten minutes.

I am using AutoCAD 2014 MAP and have just had a new system built (i5 processor, 8GB RAM).

View 9 Replies View Related

Illustrator :: Find Correct Color Book In Which To Locate Correct PMS Color

Feb 18, 2013

I'm trying to create a swatch in Illustrator with our company's colors. I already succeedid in creating a palet with the RGB and CMYK colors, but I also want to do this with the PMS colors.However, I can't seem to find the correct color book in which to locate the correct PMS color.

I only have the number of the PMS color, I don't know which color book to choose?

View 2 Replies View Related

AutoCad :: DXF And Surface Entities?

Sep 23, 2011

looking for a way to read in the DXF data for a surface entity in AutoCAD2012. There's plenty on reading in simple objects (e.g. 3DFace, Points, etc.) but nothing on surfaces. The data itself is also not as intuitive as I would have hoped. The DXF reference PDF from AutoDesk shows 7 possible unique entries and the data I need is most likely stored in the proprietary data. So, in short I know where it is but how can I read it?

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Insert Point At Block Insert Point

Sep 26, 2012

trying to insert point instead of block.

(setq blok (entget (car (entsel))))

(setq point (cdr (assoc 10 blok)))

(setq XX (rtos (car point) 2 20)) ;; x koordinata bloka

(setq YY (rtos (cadr point) 2 20)) ;; y koordinata bloka

(setq ZZ (rtos (caddr point) 2 20)) ;; z koordinata bloka

(command "point" xx,yy,zz) is not working

!xx="5582453.414999999" but when i (atoi xx) i get 5582453 no dedimals...

how to create valid insertation point from xx, yy and zz?

View 6 Replies View Related

AutoCAD .NET :: How To Get ObjectIdCollection Of All Entities In A Certain Layer

May 22, 2012

How could I get the ObjectIdCollection of all entities (points, polyline) in a certain layer?

I am using the following code at this moment.
 
private ObjectIdCollection GetEntitiesOnLayer(string layerName)
{
Editor ed = doc.Editor;
TypedValue[] tvs = new TypedValue[1] { new TypedValue((int)DxfCode.LayerName, layerName) };
SelectionFilter sf = new SelectionFilter(tvs);
PromptSelectionResult psr = ed.SelectAll(sf);

[code]....

But it seems the function fetches more ObjectId than I expected.For example, if I draw 3 points and 2 polylines in "A" layer.

ObjectIdCollection obc = GetEntitiesOnLayer("A");

int i = obc.Count;

I was expecting i to be 5 (3 points and 2 polylines), but i seems to be more than 5.

View 2 Replies View Related

AutoCAD .NET :: Dynamic Preview Of Entities

Sep 8, 2013

I have the dialog window with the settings for entities graphical appearance used in my plugin.

My goal is to create the same preview as AutoCAD dimension style manager dialog has, the dynamic thumbnail of the entities while user changes the settings in dialog.

Probably one option is to create temporary block (created based on data from settings dialog) and then use BlockTableRecord.PreviewIcon, but I am not sure if there is some other way.

View 2 Replies View Related

AutoCAD .NET :: Select Entities By Extent?

Oct 4, 2013

How do I select entities by extent. Let's suppose I have Lowerx ,lowery , upperx , uppery [174.76789855957,28.3978977203369 , 507.941253662109 ,112.090751647949 ]. How do I find entities who have these extents.

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved